VTK: vtkAndroidRenderWindowInteractor Class Reference

| VTK 9.3.1

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
vtkAndroidRenderWindowInteractor Class Reference

implements Win32 specific functions required by vtkRenderWindowInteractor. More...

`#include <vtkAndroidRenderWindowInteractor.h>`

Inheritance diagram for vtkAndroidRenderWindowInteractor:
[legend]
Collaboration diagram for vtkAndroidRenderWindowInteractor:
[legend]

## Public Types
typedef vtkRenderWindowInteractor | Superclass
Public Types inherited from vtkRenderWindowInteractor
enum | { OneShotTimer = 1 , RepeatingTimer }
typedef vtkObject | Superclass

## Public Member Functions
virtual vtkTypeBool | IsA (const char *type)
| Return 1 if this class is the same type of (or a subclass of) the named class. More...
vtkAndroidRenderWindowInteractor * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
void | Initialize () override
| Initialize the event handler. More...
void | TerminateApp () override
| Android specific application terminate, calls ClassExitMethod then calls PostQuitMessage(0) to terminate the application. More...
void | ExitCallback () override
| These methods correspond to the Exit, User and Pick callbacks. More...
virtual void | SetAndroidApplication (struct android_app *app)
void | HandleKeyEvent (bool down, int nChar, int metaState, int nRepCnt)
| Handle key up/down events. More...
void | HandleMotionEvent (int actionType, int actionId, int numPtrs, int *xPtr, int *yPtr, int *idPtr, int metaState)
| Handle motion events. More...
const char * | GetKeySym (int keyCode)
| used for converting keyCodes on Android More...
void | HandleCommand (int32_t cmd)
int32_t | HandleInput (AInputEvent *event)
void | Enable () override
| Enable/Disable interactions. More...
void | Disable () override
| Enable/Disable interactions. More...
virtual void | SetOwnWindow (bool)
| Returns true if the window is owned by VTK. More...
virtual bool | GetOwnWindow ()
| Returns true if the window is owned by VTK. More...
Public Member Functions inherited from vtkRenderWindowInteractor
vtkRenderWindowInteractor * | NewInstance () const
void | UnRegister (vtkObjectBase *o) override
| This Method detects loops of RenderWindow-Interactor, so objects are freed properly. More...
virtual void | Start ()
| Start the event loop. More...
virtual void | ProcessEvents ()
| Process all user-interaction, timer events and return. More...
virtual bool | GetDone ()
| Is the interactor loop done. More...
virtual void | SetDone (bool)
virtual int | GetEnabled ()
virtual void | UpdateSize (int x, int y)
| Event loop notification member for window size change. More...
virtual int | CreateTimer (int timerType)
| This class provides two groups of methods for manipulating timers. More...
virtual int | DestroyTimer ()
int | CreateRepeatingTimer (unsigned long duration)
| Create a repeating timer, with the specified duration (in milliseconds). More...
int | CreateOneShotTimer (unsigned long duration)
| Create a one shot timer, with the specified duration (in milliseconds). More...
int | IsOneShotTimer (int timerId)
| Query whether the specified timerId is a one shot timer. More...
unsigned long | GetTimerDuration (int timerId)
| Get the duration (in milliseconds) for the specified timerId. More...
int | ResetTimer (int timerId)
| Reset the specified timer. More...
int | DestroyTimer (int timerId)
| Destroy the timer specified by timerId. More...
virtual int | GetVTKTimerId (int platformTimerId)
| Get the VTK timer ID that corresponds to the supplied platform ID. More...
virtual vtkAbstractPropPicker * | CreateDefaultPicker ()
| Create default picker. More...
virtual void | GetMousePosition (int *x, int *y)
| Get the current position of the mouse. More...
virtual void | Render ()
| Render the scene. More...
virtual int * | GetEventPositions (int pointerIndex)
virtual int * | GetLastEventPositions (int pointerIndex)
virtual void | SetEventPosition (int x, int y, int pointerIndex)
virtual void | SetEventPosition (int pos[2], int pointerIndex)
virtual void | SetEventPositionFlipY (int x, int y, int pointerIndex)
virtual void | SetEventPositionFlipY (int pos[2], int pointerIndex)
virtual vtkRenderer * | FindPokedRenderer (int, int)
| When an event occurs, we must determine which Renderer the event occurred within, since one RenderWindow may contain multiple renderers. More...
vtkObserverMediator * | GetObserverMediator ()
| Return the object used to mediate between vtkInteractorObservers contending for resources. More...
void | ReInitialize ()
| Prepare for handling events and set the Enabled flag to true. More...
virtual void | EnableRenderOn ()
| Enable/Disable whether vtkRenderWindowInteractor::Render() calls this->RenderWindow->Render(). More...
virtual void | EnableRenderOff ()
| Enable/Disable whether vtkRenderWindowInteractor::Render() calls this->RenderWindow->Render(). More...
virtual void | SetEnableRender (bool)
| Enable/Disable whether vtkRenderWindowInteractor::Render() calls this->RenderWindow->Render(). More...
virtual bool | GetEnableRender ()
| Enable/Disable whether vtkRenderWindowInteractor::Render() calls this->RenderWindow->Render(). More...
void | SetRenderWindow (vtkRenderWindow *aren)
| Set/Get the rendering window being controlled by this object. More...
virtual vtkRenderWindow * | GetRenderWindow ()
| Set/Get the rendering window being controlled by this object. More...
void | SetHardwareWindow (vtkHardwareWindow *aren)
| Set/Get the hardware window being controlled by this object. More...
virtual vtkHardwareWindow * | GetHardwareWindow ()
| Set/Get the hardware window being controlled by this object. More...
virtual void | SetTimerDuration (unsigned long)
| Specify the default timer interval (in milliseconds). More...
virtual unsigned long | GetTimerDuration ()
| Specify the default timer interval (in milliseconds). More...
virtual void | SetTimerEventId (int)
| These methods are used to communicate information about the currently firing CreateTimerEvent or DestroyTimerEvent. More...
virtual int | GetTimerEventId ()
| These methods are used to communicate information about the currently firing CreateTimerEvent or DestroyTimerEvent. More...
virtual void | SetTimerEventType (int)
| These methods are used to communicate information about the currently firing CreateTimerEvent or DestroyTimerEvent. More...
virtual int | GetTimerEventType ()
| These methods are used to communicate information about the currently firing CreateTimerEvent or DestroyTimerEvent. More...
virtual void | SetTimerEventDuration (int)
| These methods are used to communicate information about the currently firing CreateTimerEvent or DestroyTimerEvent. More...
virtual int | GetTimerEventDuration ()
| These methods are used to communicate information about the currently firing CreateTimerEvent or DestroyTimerEvent. More...
virtual void | SetTimerEventPlatformId (int)
| These methods are used to communicate information about the currently firing CreateTimerEvent or DestroyTimerEvent. More...
virtual int | GetTimerEventPlatformId ()
| These methods are used to communicate information about the currently firing CreateTimerEvent or DestroyTimerEvent. More...
virtual void | SetInteractorStyle (vtkInteractorObserver *)
| External switching between joystick/trackball/new? modes. More...
virtual vtkInteractorObserver * | GetInteractorStyle ()
| External switching between joystick/trackball/new? modes. More...
virtual void | SetLightFollowCamera (vtkTypeBool)
| Turn on/off the automatic repositioning of lights as the camera moves. More...
virtual vtkTypeBool | GetLightFollowCamera ()
| Turn on/off the automatic repositioning of lights as the camera moves. More...
virtual void | LightFollowCameraOn ()
| Turn on/off the automatic repositioning of lights as the camera moves. More...
virtual void | LightFollowCameraOff ()
| Turn on/off the automatic repositioning of lights as the camera moves. More...
virtual void | SetDesiredUpdateRate (double)
| Set/Get the desired update rate. More...
virtual double | GetDesiredUpdateRate ()
| Set/Get the desired update rate. More...
virtual void | SetStillUpdateRate (double)
| Set/Get the desired update rate when movement has stopped. More...
virtual double | GetStillUpdateRate ()
| Set/Get the desired update rate when movement has stopped. More...
virtual int | GetInitialized ()
| See whether interactor has been initialized yet. More...
virtual void | SetPicker (vtkAbstractPicker *)
| Set/Get the object used to perform pick operations. More...
virtual vtkAbstractPicker * | GetPicker ()
| Set/Get the object used to perform pick operations. More...
virtual void | SetPickingManager (vtkPickingManager *)
| Set the picking manager. More...
virtual vtkPickingManager * | GetPickingManager ()
| Set the picking manager. More...
virtual void | UserCallback ()
| These methods correspond to the Exit, User and Pick callbacks. More...
virtual void | StartPickCallback ()
| These methods correspond to the Exit, User and Pick callbacks. More...
virtual void | EndPickCallback ()
| These methods correspond to the Exit, User and Pick callbacks. More...
void | HideCursor ()
| Hide or show the mouse cursor, it is nice to be able to hide the default cursor if you want VTK to display a 3D cursor instead. More...
void | ShowCursor ()
| Hide or show the mouse cursor, it is nice to be able to hide the default cursor if you want VTK to display a 3D cursor instead. More...
void | FlyTo (vtkRenderer *ren, double x, double y, double z)
| Given a position x, move the current camera's focal point to x. More...
void | FlyTo (vtkRenderer *ren, double *x)
| Given a position x, move the current camera's focal point to x. More...
void | FlyToImage (vtkRenderer *ren, double x, double y)
| Given a position x, move the current camera's focal point to x. More...
void | FlyToImage (vtkRenderer *ren, double *x)
| Given a position x, move the current camera's focal point to x. More...
virtual void | SetNumberOfFlyFrames (int)
| Set the number of frames to fly to when FlyTo is invoked. More...
virtual int | GetNumberOfFlyFrames ()
| Set the number of frames to fly to when FlyTo is invoked. More...
virtual void | SetDolly (double)
| Set the total Dolly value to use when flying to (FlyTo()) a specified point. More...
virtual double | GetDolly ()
| Set the total Dolly value to use when flying to (FlyTo()) a specified point. More...
virtual int * | GetEventPosition ()
| Set/Get information about the current event. More...
virtual void | GetEventPosition (int &, int &)
| Set/Get information about the current event. More...
virtual void | GetEventPosition (int[2])
| Set/Get information about the current event. More...
virtual int * | GetLastEventPosition ()
| Set/Get information about the current event. More...
virtual void | GetLastEventPosition (int &, int &)
| Set/Get information about the current event. More...
virtual void | GetLastEventPosition (int[2])
| Set/Get information about the current event. More...
virtual void | SetLastEventPosition (int, int)
| Set/Get information about the current event. More...
void | SetLastEventPosition (int[2])
| Set/Get information about the current event. More...
virtual void | SetEventPosition (int x, int y)
| Set/Get information about the current event. More...
virtual void | SetEventPosition (int pos[2])
| Set/Get information about the current event. More...
virtual void | SetEventPositionFlipY (int x, int y)
| Set/Get information about the current event. More...
virtual void | SetEventPositionFlipY (int pos[2])
| Set/Get information about the current event. More...
virtual void | SetAltKey (int)
| Set/get whether alt modifier key was pressed. More...
virtual int | GetAltKey ()
| Set/get whether alt modifier key was pressed. More...
virtual void | SetControlKey (int)
| Set/get whether control modifier key was pressed. More...
virtual int | GetControlKey ()
| Set/get whether control modifier key was pressed. More...
virtual void | SetShiftKey (int)
| Set/get whether shift modifier key was pressed. More...
virtual int | GetShiftKey ()
| Set/get whether shift modifier key was pressed. More...
virtual void | SetKeyCode (char)
| Set/get the key code for the key that was pressed. More...
virtual char | GetKeyCode ()
| Set/get the key code for the key that was pressed. More...
virtual void | SetRepeatCount (int)
| Set/get the repear count for the key or mouse event. More...
virtual int | GetRepeatCount ()
| Set/get the repear count for the key or mouse event. More...
virtual void | SetKeySym (const char *)
| Set/get the key symbol for the key that was pressed. More...
virtual char * | GetKeySym ()
| Set/get the key symbol for the key that was pressed. More...
virtual void | SetPointerIndex (int)
| Set/get the index of the most recent pointer to have an event. More...
virtual int | GetPointerIndex ()
| Set/get the index of the most recent pointer to have an event. More...
void | SetRotation (double rotation)
| Set/get the rotation for the gesture in degrees, update LastRotation. More...
virtual double | GetRotation ()
| Set/get the rotation for the gesture in degrees, update LastRotation. More...
virtual double | GetLastRotation ()
| Set/get the rotation for the gesture in degrees, update LastRotation. More...
void | SetScale (double scale)
| Set/get the scale for the gesture, updates LastScale. More...
virtual double | GetScale ()
| Set/get the scale for the gesture, updates LastScale. More...
virtual double | GetLastScale ()
| Set/get the scale for the gesture, updates LastScale. More...
void | SetTranslation (double val[2])
| Set/get the translation for pan/swipe gestures, update LastTranslation. More...
virtual double * | GetTranslation ()
| Set/get the translation for pan/swipe gestures, update LastTranslation. More...
virtual void | GetTranslation (double &, double &)
| Set/get the translation for pan/swipe gestures, update LastTranslation. More...
virtual void | GetTranslation (double[2])
| Set/get the translation for pan/swipe gestures, update LastTranslation. More...
virtual double * | GetLastTranslation ()
| Set/get the translation for pan/swipe gestures, update LastTranslation. More...
virtual void | GetLastTranslation (double &, double &)
| Set/get the translation for pan/swipe gestures, update LastTranslation. More...
virtual void | GetLastTranslation (double[2])
| Set/get the translation for pan/swipe gestures, update LastTranslation. More...
void | SetEventInformation (int x, int y, int ctrl, int shift, char keycode, int repeatcount, const char *keysym, int pointerIndex)
| Set all the event information in one call. More...
void | SetEventInformation (int x, int y, int ctrl=0, int shift=0, char keycode=0, int repeatcount=0, const char *keysym=nullptr)
| Set all the event information in one call. More...
void | SetEventInformationFlipY (int x, int y, int ctrl, int shift, char keycode, int repeatcount, const char *keysym, int pointerIndex)
| Calls SetEventInformation, but flips the Y based on the current Size[1] value (i.e. More...
void | SetEventInformationFlipY (int x, int y, int ctrl=0, int shift=0, char keycode=0, int repeatcount=0, const char *keysym=nullptr)
| Calls SetEventInformation, but flips the Y based on the current Size[1] value (i.e. More...
void | SetKeyEventInformation (int ctrl=0, int shift=0, char keycode=0, int repeatcount=0, const char *keysym=nullptr)
| Set all the keyboard-related event information in one call. More...
virtual void | SetSize (int, int)
| This methods sets the Size ivar of the interactor without actually changing the size of the window. More...
void | SetSize (int[2])
| This methods sets the Size ivar of the interactor without actually changing the size of the window. More...
virtual int * | GetSize ()
| This methods sets the Size ivar of the interactor without actually changing the size of the window. More...
virtual void | GetSize (int &, int &)
| This methods sets the Size ivar of the interactor without actually changing the size of the window. More...
virtual void | GetSize (int[2])
| This methods sets the Size ivar of the interactor without actually changing the size of the window. More...
virtual void | SetEventSize (int, int)
| This methods sets the Size ivar of the interactor without actually changing the size of the window. More...
void | SetEventSize (int[2])
| This methods sets the Size ivar of the interactor without actually changing the size of the window. More...
virtual int * | GetEventSize ()
| This methods sets the Size ivar of the interactor without actually changing the size of the window. More...
virtual void | GetEventSize (int &, int &)
| This methods sets the Size ivar of the interactor without actually changing the size of the window. More...
virtual void | GetEventSize (int[2])
| This methods sets the Size ivar of the interactor without actually changing the size of the window. More...
virtual void | SetUseTDx (bool)
| Use a 3DConnexion device. More...
virtual bool | GetUseTDx ()
| Use a 3DConnexion device. More...
virtual void | MouseMoveEvent ()
| Fire various events. More...
virtual void | RightButtonPressEvent ()
| Fire various events. More...
virtual void | RightButtonReleaseEvent ()
| Fire various events. More...
virtual void | LeftButtonPressEvent ()
| Fire various events. More...
virtual void | LeftButtonReleaseEvent ()
| Fire various events. More...
virtual void | MiddleButtonPressEvent ()
| Fire various events. More...
virtual void | MiddleButtonReleaseEvent ()
| Fire various events. More...
virtual void | MouseWheelForwardEvent ()
| Fire various events. More...
virtual void | MouseWheelBackwardEvent ()
| Fire various events. More...
virtual void | MouseWheelLeftEvent ()
| Fire various events. More...
virtual void | MouseWheelRightEvent ()
| Fire various events. More...
virtual void | ExposeEvent ()
| Fire various events. More...
virtual void | ConfigureEvent ()
| Fire various events. More...
virtual void | EnterEvent ()
| Fire various events. More...
virtual void | LeaveEvent ()
| Fire various events. More...
virtual void | KeyPressEvent ()
| Fire various events. More...
virtual void | KeyReleaseEvent ()
| Fire various events. More...
virtual void | CharEvent ()
| Fire various events. More...
virtual void | ExitEvent ()
| Fire various events. More...
virtual void | FourthButtonPressEvent ()
| Fire various events. More...
virtual void | FourthButtonReleaseEvent ()
| Fire various events. More...
virtual void | FifthButtonPressEvent ()
| Fire various events. More...
virtual void | FifthButtonReleaseEvent ()
| Fire various events. More...
virtual void | StartPinchEvent ()
| Fire various gesture based events. More...
virtual void | PinchEvent ()
| Fire various gesture based events. More...
virtual void | EndPinchEvent ()
| Fire various gesture based events. More...
virtual void | StartRotateEvent ()
| Fire various gesture based events. More...
virtual void | RotateEvent ()
| Fire various gesture based events. More...
virtual void | EndRotateEvent ()
| Fire various gesture based events. More...
virtual void | StartPanEvent ()
| Fire various gesture based events. More...
virtual void | PanEvent ()
| Fire various gesture based events. More...
virtual void | EndPanEvent ()
| Fire various gesture based events. More...
virtual void | TapEvent ()
| Fire various gesture based events. More...
virtual void | LongTapEvent ()
| Fire various gesture based events. More...
virtual void | SwipeEvent ()
| Fire various gesture based events. More...
virtual void | SetRecognizeGestures (bool)
| Convert multitouch events into gestures. More...
virtual bool | GetRecognizeGestures ()
| Convert multitouch events into gestures. More...
virtual int | GetPointersDownCount ()
| When handling gestures you can query this value to determine how many pointers are down for the gesture this is useful for pan gestures for example. More...
void | ClearContact (size_t contactID)
| Most multitouch systems use persistent contact/pointer ids to track events/motion during multitouch events. More...
int | GetPointerIndexForContact (size_t contactID)
| Most multitouch systems use persistent contact/pointer ids to track events/motion during multitouch events. More...
int | GetPointerIndexForExistingContact (size_t contactID)
| Most multitouch systems use persistent contact/pointer ids to track events/motion during multitouch events. More...
bool | IsPointerIndexSet (int i)
| Most multitouch systems use persistent contact/pointer ids to track events/motion during multitouch events. More...
void | ClearPointerIndex (int i)
| Most multitouch systems use persistent contact/pointer ids to track events/motion during multitouch events. More...
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
virtual vtkMTimeType | GetMTime ()
| Return this object's modified time. More...
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
vtkTypeBool | InvokeEvent (unsigned long event)
vtkTypeBool | InvokeEvent (const char *event)
std::string | GetObjectDescription () const override
| The object description printed in messages and PrintSelf output. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkCommand * | GetCommand (unsigned long tag)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObserver (vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
vtkTypeBool | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
vtkTypeBool | InvokeEvent (const char *event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
virtual void | SetObjectName (const std::string &objectName)
| Set/get the name of this object for reporting purposes. More...
virtual std::string | GetObjectName () const
| Set/get the name of this object for reporting purposes. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual bool | UsesGarbageCollector () const
| Indicate whether the class uses `vtkGarbageCollector` or not. More...

## Static Public Member Functions
static vtkAndroidRenderWindowInteractor * | New ()
| Construct object so that light follows camera motion. More...
static vtkTypeBool | IsTypeOf (const char *type)
static vtkAndroidRenderWindowInteractor * | SafeDownCast (vtkObjectBase *o)
static void | SetClassExitMethod (void(*f)(void *), void *arg)
| Methods to set the default exit method for the class. More...
static void | SetClassExitMethodArgDelete (void(*f)(void *))
| Methods to set the default exit method for the class. More...
Static Public Member Functions inherited from vtkRenderWindowInteractor
static vtkRenderWindowInteractor * | New ()
static vtkTypeBool | IsTypeOf (const char *type)
static vtkRenderWindowInteractor * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (vtkTypeBool val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOff ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static vtkTypeBool | GetGlobalWarningDisplay ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Protected Member Functions
virtual vtkObjectBase * | NewInstanceInternal () const
| vtkAndroidRenderWindowInteractor ()
| ~vtkAndroidRenderWindowInteractor () override
void | StartEventLoop () override
| This will start up the event loop and never return. More...
int | InternalCreateTimer (int timerId, int timerType, unsigned long duration) override
| Win32-specific internal timer methods. More...
int | InternalDestroyTimer (int platformTimerId) override
| Win32-specific internal timer methods. More...
Protected Member Functions inherited from vtkRenderWindowInteractor
| vtkRenderWindowInteractor ()
| ~vtkRenderWindowInteractor () override
virtual vtkPickingManager * | CreateDefaultPickingManager ()
| Create default pickingManager. More...
void | GrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
void | ReleaseFocus ()
virtual void | RecognizeGesture (vtkCommand::EventIds)
int | GetCurrentTimerId ()
| Internal methods for creating and destroying timers that must be implemented by subclasses. More...
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
| These methods allow a command to exclusively grab all events. More...
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | ReportReferences (vtkGarbageCollector *)
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Protected Attributes
int | MouseInWindow
int | StartedMessageLoop
struct android_app * | AndroidApplication
const char ** | KeyCodeToKeySymTable
bool | Done
vtkTypeBool | OwnWindow
Protected Attributes inherited from vtkRenderWindowInteractor
vtkRenderWindow * | RenderWindow
vtkHardwareWindow * | HardwareWindow
vtkSmartPointer< vtkInteractorObserver > | InteractorStyle
vtkAbstractPicker * | Picker
vtkPickingManager * | PickingManager
bool | Done
int | Initialized
int | Enabled
bool | EnableRender
int | Style
vtkTypeBool | LightFollowCamera
int | ActorMode
double | DesiredUpdateRate
double | StillUpdateRate
int | AltKey
int | ControlKey
int | ShiftKey
char | KeyCode
double | Rotation
double | LastRotation
double | Scale
double | LastScale
double | Translation [2]
double | LastTranslation [2]
int | RepeatCount
char * | KeySym
int | EventPosition [2]
int | LastEventPosition [2]
int | EventSize [2]
int | Size [2]
int | TimerEventId
int | TimerEventType
int | TimerEventDuration
int | TimerEventPlatformId
int | EventPositions [VTKI_MAX_POINTERS][2]
int | LastEventPositions [VTKI_MAX_POINTERS][2]
int | PointerIndex
size_t | PointerIndexLookup [VTKI_MAX_POINTERS]
int | NumberOfFlyFrames
double | Dolly
vtkObserverMediator * | ObserverMediator
| Widget mediators are used to resolve contention for cursors and other resources. More...
vtkTimerIdMap * | TimerMap
unsigned long | TimerDuration
int | HandleEventLoop
bool | UseTDx
bool | RecognizeGestures
int | PointersDownCount
int | PointersDown [VTKI_MAX_POINTERS]
int | StartingEventPositions [VTKI_MAX_POINTERS][2]
vtkCommand::EventIds | CurrentGesture
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
std::string | ObjectName
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers

## Static Protected Attributes
static void(* | ClassExitMethod )(void *)
| Class variables so an exit method can be defined for this class (used to set different exit methods for various language bindings, i.e. More...
static void(* | ClassExitMethodArgDelete )(void *)
| Class variables so an exit method can be defined for this class (used to set different exit methods for various language bindings, i.e. More...
static void * | ClassExitMethodArg
| Class variables so an exit method can be defined for this class (used to set different exit methods for various language bindings, i.e. More...

## Additional Inherited Members
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()

## Detailed Description

implements Win32 specific functions required by vtkRenderWindowInteractor.

By default the interactor installs a MessageProc callback which intercepts windows' messages to the window and controls interactions by routing them to the InteractoStyle classes. MFC or BCB programs can prevent this and instead directly route any mouse/key messages into the event bindings by setting InstallMessageProc to false. This provides a minimal "Mapped" mode of interaction

Events:
  vtkCommand::CharEvent vtkCommand::ExitEvent vtkCommand::KeyPressEvent vtkCommand::KeyReleaseEvent

Examples:
  vtkAndroidRenderWindowInteractor (Examples)

Definition at line 33 of file vtkAndroidRenderWindowInteractor.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkRenderWindowInteractor vtkAndroidRenderWindowInteractor::Superclass

Definition at line 41 of file vtkAndroidRenderWindowInteractor.h.

## Constructor & Destructor Documentation

## ◆ vtkAndroidRenderWindowInteractor()

vtkAndroidRenderWindowInteractor::vtkAndroidRenderWindowInteractor | ( |  | ) |
| protected

## ◆ ~vtkAndroidRenderWindowInteractor()

vtkAndroidRenderWindowInteractor::~vtkAndroidRenderWindowInteractor | ( |  | ) |
| overrideprotected

## Member Function Documentation

## ◆ New()

static vtkAndroidRenderWindowInteractor* vtkAndroidRenderWindowInteractor::New | ( |  | ) |
| static

Construct object so that light follows camera motion.

## ◆ IsTypeOf()

static vtkTypeBool vtkAndroidRenderWindowInteractor::IsTypeOf | ( | const char * | type | ) |
| static

## ◆ IsA()

virtual vtkTypeBool vtkAndroidRenderWindowInteractor::IsA | ( | const char * | name | ) |
| virtual

Return 1 if this class is the same type of (or a subclass of) the named class.

Returns 0 otherwise. This method works in combination with vtkTypeMacro found in vtkSetGet.h.

Reimplemented from vtkRenderWindowInteractor.

## ◆ SafeDownCast()

static vtkAndroidRenderWindowInteractor* vtkAndroidRenderWindowInteractor::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkAndroidRenderWindowInteractor::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

Reimplemented from vtkRenderWindowInteractor.

## ◆ NewInstance()

vtkAndroidRenderWindowInteractor* vtkAndroidRenderWindowInteractor::NewInstance | ( |  | ) | const

## ◆ PrintSelf()

void vtkAndroidRenderWindowInteractor::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Methods invoked by print to print information about the object including superclasses.

Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes.

Reimplemented from vtkRenderWindowInteractor.

## ◆ Initialize()

void vtkAndroidRenderWindowInteractor::Initialize | ( |  | ) |
| overridevirtual

Initialize the event handler.

Reimplemented from vtkRenderWindowInteractor.

## ◆ Enable()

void vtkAndroidRenderWindowInteractor::Enable | ( |  | ) |
| overridevirtual

Enable/Disable interactions.

By default interactors are enabled when initialized. Initialize() must be called prior to enabling/disabling interaction. These methods are used when a window/widget is being shared by multiple renderers and interactors. This allows a "modal" display where one interactor is active when its data is to be displayed and all other interactors associated with the widget are disabled when their data is not displayed.

Reimplemented from vtkRenderWindowInteractor.

## ◆ Disable()

void vtkAndroidRenderWindowInteractor::Disable | ( |  | ) |
| overridevirtual

Enable/Disable interactions.

By default interactors are enabled when initialized. Initialize() must be called prior to enabling/disabling interaction. These methods are used when a window/widget is being shared by multiple renderers and interactors. This allows a "modal" display where one interactor is active when its data is to be displayed and all other interactors associated with the widget are disabled when their data is not displayed.

Reimplemented from vtkRenderWindowInteractor.

## ◆ TerminateApp()

void vtkAndroidRenderWindowInteractor::TerminateApp | ( |  | ) |
| overridevirtual

Android specific application terminate, calls ClassExitMethod then calls PostQuitMessage(0) to terminate the application.

An application can Specify ExitMethod for alternative behavior (i.e. suppression of keyboard exit)

Reimplemented from vtkRenderWindowInteractor.

## ◆ SetClassExitMethod()

static void vtkAndroidRenderWindowInteractor::SetClassExitMethod | ( | void(*)(void *) | f,
|  | void * | arg
| ) |  |
| static

Methods to set the default exit method for the class.

This method is only used if no instance level ExitMethod has been defined. It is provided as a means to control how an interactor is exited given the various language bindings (Win32, etc.).

## ◆ SetClassExitMethodArgDelete()

static void vtkAndroidRenderWindowInteractor::SetClassExitMethodArgDelete | ( | void(*)(void *) | f | ) |
| static

Methods to set the default exit method for the class.

This method is only used if no instance level ExitMethod has been defined. It is provided as a means to control how an interactor is exited given the various language bindings (Win32, etc.).

## ◆ ExitCallback()

void vtkAndroidRenderWindowInteractor::ExitCallback | ( |  | ) |
| overridevirtual

These methods correspond to the Exit, User and Pick callbacks.

They allow for the Style to invoke them.

Reimplemented from vtkRenderWindowInteractor.

## ◆ SetAndroidApplication()

virtual void vtkAndroidRenderWindowInteractor::SetAndroidApplication | ( | struct android_app * | app | ) |
| inlinevirtual

Definition at line 87 of file vtkAndroidRenderWindowInteractor.h.

## ◆ HandleKeyEvent()

void vtkAndroidRenderWindowInteractor::HandleKeyEvent | ( | bool | down,
|  | int | nChar,
|  | int | metaState,
|  | int | nRepCnt
| ) |  |

Handle key up/down events.

## ◆ HandleMotionEvent()

void vtkAndroidRenderWindowInteractor::HandleMotionEvent | ( | int | actionType,
|  | int | actionId,
|  | int | numPtrs,
|  | int * | xPtr,
|  | int * | yPtr,
|  | int * | idPtr,
|  | int | metaState
| ) |  |

Handle motion events.

## ◆ GetKeySym()

const char* vtkAndroidRenderWindowInteractor::GetKeySym | ( | int | keyCode | ) |

used for converting keyCodes on Android

## ◆ HandleCommand()

void vtkAndroidRenderWindowInteractor::HandleCommand | ( | int32_t | cmd | ) |

## ◆ HandleInput()

int32_t vtkAndroidRenderWindowInteractor::HandleInput | ( | AInputEvent * | event | ) |

## ◆ SetOwnWindow()

virtual void vtkAndroidRenderWindowInteractor::SetOwnWindow | ( | bool |  | ) |
| virtual

Returns true if the window is owned by VTK.

## ◆ GetOwnWindow()

virtual bool vtkAndroidRenderWindowInteractor::GetOwnWindow | ( |  | ) |
| virtual

Returns true if the window is owned by VTK.

## ◆ InternalCreateTimer()

int vtkAndroidRenderWindowInteractor::InternalCreateTimer | ( | int | timerId,
|  | int | timerType,
|  | unsigned long | duration
| ) |  |
| overrideprotectedvirtual

Win32-specific internal timer methods.

See the superclass for detailed documentation.

Reimplemented from vtkRenderWindowInteractor.

## ◆ InternalDestroyTimer()

int vtkAndroidRenderWindowInteractor::InternalDestroyTimer | ( | int | platformTimerId | ) |
| overrideprotectedvirtual

Win32-specific internal timer methods.

See the superclass for detailed documentation.

Reimplemented from vtkRenderWindowInteractor.

## ◆ StartEventLoop()

void vtkAndroidRenderWindowInteractor::StartEventLoop | ( |  | ) |
| overrideprotectedvirtual

This will start up the event loop and never return.

If you call this method it will loop processing events until the application is exited.

Reimplemented from vtkRenderWindowInteractor.

## Member Data Documentation

## ◆ MouseInWindow

int vtkAndroidRenderWindowInteractor::MouseInWindow
| protected

Definition at line 120 of file vtkAndroidRenderWindowInteractor.h.

## ◆ StartedMessageLoop

int vtkAndroidRenderWindowInteractor::StartedMessageLoop
| protected

Definition at line 121 of file vtkAndroidRenderWindowInteractor.h.

## ◆ AndroidApplication

struct android_app* vtkAndroidRenderWindowInteractor::AndroidApplication
| protected

Definition at line 123 of file vtkAndroidRenderWindowInteractor.h.

## ◆ KeyCodeToKeySymTable

const char** vtkAndroidRenderWindowInteractor::KeyCodeToKeySymTable
| protected

Definition at line 124 of file vtkAndroidRenderWindowInteractor.h.

## ◆ Done

bool vtkAndroidRenderWindowInteractor::Done
| protected

Definition at line 126 of file vtkAndroidRenderWindowInteractor.h.

## ◆ ClassExitMethod

void(* vtkAndroidRenderWindowInteractor::ClassExitMethod) (void *)
| staticprotected

Class variables so an exit method can be defined for this class (used to set different exit methods for various language bindings, i.e.

java, Win32)

Definition at line 134 of file vtkAndroidRenderWindowInteractor.h.

## ◆ ClassExitMethodArgDelete

void(* vtkAndroidRenderWindowInteractor::ClassExitMethodArgDelete) (void *)
| staticprotected

Class variables so an exit method can be defined for this class (used to set different exit methods for various language bindings, i.e.

java, Win32)

Definition at line 135 of file vtkAndroidRenderWindowInteractor.h.

## ◆ ClassExitMethodArg

void* vtkAndroidRenderWindowInteractor::ClassExitMethodArg
| staticprotected

Class variables so an exit method can be defined for this class (used to set different exit methods for various language bindings, i.e.

java, Win32)

Definition at line 136 of file vtkAndroidRenderWindowInteractor.h.

## ◆ OwnWindow

vtkTypeBool vtkAndroidRenderWindowInteractor::OwnWindow
| protected

Definition at line 155 of file vtkAndroidRenderWindowInteractor.h.

The documentation for this class was generated from the following file:

- Rendering/UI/vtkAndroidRenderWindowInteractor.h